EvPrepare
EvPrepare::createStopped
EvPrepare
PHP Manual

# EvPrepare::__construct

(PECL ev >= 0.2.0)

EvPrepare::__construct — Constructs EvPrepare watcher object

### Description

public EvPrepare::__construct ( string `$callback` [, string `$data` [, string `$priority` ]] )

Constructs EvPrepare watcher object. And starts the watcher automatically. If need a stopped watcher consider using EvPrepare::createStopped()

### Parameters

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvPrepare object on success.

### See Also

- EvCheck

EvPrepare
EvPrepare::createStopped
EvPrepare
PHP Manual